> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Deletes a user for the specified UID

# Delete

For the complete error reference, see [Error Guide](/articles/error-guide).

<Warning>
  **Permanent deletion:** By default, deleting a user only deactivates them. To **permanently** delete a user along with all their messages, conversations, and associated data, you must include `permanent: true` in the request body. This action is irreversible.
</Warning>


## OpenAPI

````yaml delete /users/{uid}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /users/{uid}:
    delete:
      tags:
        - Users
      summary: Delete
      description: Deletes a user for the specified UID
      operationId: delete-user
      parameters:
        - name: uid
          in: path
          description: An UID of a user.
          required: true
          schema:
            type: string
          examples:
            string:
              summary: UID
              value: cometchat-uid-1
      requestBody:
        content:
          application/json:
            schema:
              properties:
                permanent:
                  description: >-
                    Permanently deletes the user along with all the messages,
                    conversations, etc.
                  type: boolean
                  default: 'false'
              type: object
      responses:
        '200':
          description: Deleted User
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: object
                type: object
              example:
                data:
                  success: true
                  message: User with cometchat-uid-6 has been deleted successfully.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````